SpamAssassin 3.3.0 available

IT_Architect

Verified User
Joined
Feb 27, 2006
Messages
888
Use the same on FreeBSD :)
server# perl -MCPAN -e 'install Archive::Tar'
Can't locate object method "install" via package "Archive::Tar" at -e line 1.

Just run sa-update afterwards
server# sa-update
Can't locate Archive/Tar.pm in @INC (@INC contains: /usr/lib/perl5/site_perl/5.8.9 /usr/local/lib/perl5/5.8.9/BSDPAN /usr/local/lib/perl5/site_perl/5.8.9/mach /usr/local/lib/perl5/site_perl/5.8.9 /usr/local/lib/perl5/5.8.9/mach /usr/local/lib/perl5/5.8.9) at /usr/bin/sa-update line 78.
BEGIN failed--compilation aborted at /usr/bin/sa-update line 78.

Other:
I used this http://help.directadmin.com/item.php?id=36 when I installed it at the time I installed the operating system and DA.

Thanks!
 
Last edited:

alsyka

Verified User
Joined
Oct 24, 2008
Messages
8
Heres what I did to overcome that problem:

Code:
server# cpan
cpan--> install Archive::Tar

cpan--> exit

server# sa-update
and all worked fine.
 
Last edited:

rmxs

Verified User
Joined
Jan 14, 2007
Messages
141
How can we update safe because all the above have problem with the upgrade method
 

IT_Architect

Verified User
Joined
Feb 27, 2006
Messages
888
Here is what worked for me for FreeBSD:

- copy IO-Socket-INET6-2.57.tar.gz into /usr/ports/distfiles (Ports couldn't find this where it looked on the web)
Code:
# make reinstall clean -C /usr/ports/devel/libtool22
# make install clean –C /usr/ports/security/gnupg  (Take defaults)
# cpan
cpan> install Archive::Tar
cpan> install IO::Zlib
cpan> install Digest::SHA
cpan> install Mail::SPF
cpan> install Mail::DKIM
cpan--> exit
Download SpamAssassin
Code:
# cd /usr/local/directadmin/scripts
# wget -O /usr/local/directadmin/scripts/packages/Mail-SpamAssassin-3.3.1.tar.gz http://www.ecoficial.com/apachemirror/spamassassin/source/Mail-SpamAssassin-3.3.1.tar.gz
Update scripts and install SpamAssassin
Code:
# perl -pi -e 's/3.2.5/3.3.1/' spam.sh
# perl -pi -e 's/getFile $FILE;/#getFile $FILE;/' spam.sh
# ./spam.sh
# ps -ax | grep spamd
# kill <process ID of /usr/bin/spamd -d -c -m 15>
# /usr/bin/spamd -d -c -m 15
# ps -ax | grep spamd
# spamassassin -V
SpamAssassin version 3.3.1
  running on Perl version 5.8.9
# sa-update
- cron sa-update so it keeps your spam rules up to date
 
Last edited:

BigWil

Verified User
Joined
Aug 5, 2004
Messages
313
The only things I had problems with were this. Not really too major as the work arounds are easy enough.

#sa-update
Produces this error on FBSD 6.2 with the latest patching and custombuild.
error: gpg required but not found!

So I instead ran
#sa-update --nogpg

Of course the output of sa-update puts the rules under /usr/share/spamassassin/updates_spamassassin_org/ instead of just /usr/share/spamassassin/ so a simple copy worked to fix that.

cp -Rp /usr/share/spamassassin/updates_spamassassin_org/* /usr/share/spamassassin/

Exim and SpamD restart just fine after that.

BigWil
 

sintsu

Verified User
Joined
Sep 4, 2008
Messages
33
Location
Taiwan
Can I ask why after the update script and run sa-update, command line shows the follow warning msg

Can't locate Archive/Tar.pm in @INC (@INC contains: /usr/lib/perl5/site_perl/5.8.8/i386-linux-thread-multi /usr/lib/perl5/site_perl/5.8.8 /usr/lib/perl5/site_perl /usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.8 /usr/lib/perl5/vendor_perl /usr/lib/perl5/5.8.8/i386-linux-thread-multi /usr/lib/perl5/5.8.8) at /usr/bin/sa-update line 81.
BEGIN failed--compilation aborted at /usr/bin/sa-update line 81.
 

smtalk

Administrator
Staff member
Joined
Aug 22, 2006
Messages
8,766
Location
LT, EU
Code:
perl -MCPAN -e 'install Archive::Tar'
 
Last edited:

MichaelMcC

Verified User
Joined
Jul 23, 2008
Messages
17
Location
Penn
Anybody figure this out? I am getting the same error.

When installing the Mail:SPF, I got this error message:
"Prereq 'v0.002.1' for 'Net::DNS::Resolver::programmable' is not supported by Module::Build::Compat"

Any idea on how to get this fixed please?
 

nobaloney

NoBaloney Internet Svcs - In Memoriam †
Joined
Jun 16, 2003
Messages
26,119
Location
California
Anybody figure this out? I am getting the same error.
If you're getting the same error, you've got the same problem. The two posts immediately above yours give instructions for installing the software whose absence is causing the error.

Which leads me to wonder if you've even read the thread before posting.

If above doesn't work for you, you'll need to install, or have someone else install, mcpan, or google instructions on the 'net for downloading and installing perl modules manually.

Or hire someone to do it for you.

Jeff
 

ktizo

Verified User
Joined
Jan 5, 2006
Messages
47
hmm, i'm not liking the update that much.. much more spam seems to get through now.

Am I the only one who is experiencing this?
I don't like this update too, seems to have more spams coming thru. One server got the 127.0.0.1 connection refused error too.

Hows your downgrade so far? Does it help?
 

nobaloney

NoBaloney Internet Svcs - In Memoriam †
Joined
Jun 16, 2003
Messages
26,119
Location
California
I don't like this update too, seems to have more spams coming thru. One server got the 127.0.0.1 connection refused error too.
Update of which? SpamAssassin? Or the SpamBlocker powered exim.conf file? I'm guessing the latter, because SpamAssassin doesn't care one way or the other about mail coming from 127.0.0.1.

If the SpamBlocker powered exim.conf file, remember it's a beta file, and you need to follow all the instructions when installing it. You get the choice of allowing mail from 127.0.0.1 or not. it's entirely up to you.

The final release version will allow mail from 127.0.0.1 by default.

Jeff
 

ktizo

Verified User
Joined
Jan 5, 2006
Messages
47
Update of which? SpamAssassin? Or the SpamBlocker powered exim.conf file? I'm guessing the latter, because SpamAssassin doesn't care one way or the other about mail coming from 127.0.0.1.
No, it's Spamassassin 3.3.1. I've update on 3 servers and all 3 are getting more spams now. One server is getting this error, "connect to spamd on 127.0.0.1 failed, retrying (#1 of 3): Connection refused"

I've removed all spamassassin installation and re-install 3.2.5 but still getting this connection refused error. Have now commented off spamassassin in Exim.conf but still getting a lot of spams.
 

nobaloney

NoBaloney Internet Svcs - In Memoriam †
Joined
Jun 16, 2003
Messages
26,119
Location
California
You'll never get less spam by shutting of SpamAssassin.

I don't know why you're having the problem. I won't know unless I log into your server and check. Unfortunately, If I do that I charge for it.

Perhaps someone else will be able to continue trying to figure it out for you.

Jeff
 

bigboy

Verified User
Joined
Nov 25, 2005
Messages
231
Location
USA
start spamd this error

mars# /usr/bin/spamd -d -c -m 15
child process [97137] exited or timed out without signaling production of a PID file: exit 25 at /usr/bin/spamd line 2585.
mars#
mars# sa-update
error: gpg required but not found!
 
Last edited:

ktizo

Verified User
Joined
Jan 5, 2006
Messages
47
Can someone advise how one can un-install spamassassin and clamav and do a clean re-install. I've tried to use the guide here to uninstall and re-install but still have the same old problem. Spamassassin fails after a few minutes.
 

bigboy

Verified User
Joined
Nov 25, 2005
Messages
231
Location
USA
work fine FreeBSD 5.x

mars# sa-update -D --nogpg

mars# /usr/bin/spamd -d -c -m 5
mars# ps -aux|grep spamd
root 97399 64.3 8.2 173708 171908 ?? Ss 9:16AM 0:52.58 /usr/bin/spamd -d -c -m 5 (perl5.8.9)
root 97435 0.0 8.2 173708 171904 ?? S 9:17AM 0:00.01 spamd child (perl5.8.9)
root 97436 0.0 8.2 173708 171904 ?? S 9:17AM 0:00.01 spamd child (perl5.8.9)
root 97440 0.0 0.0 1436 804 p0 RL+ 9:17AM 0:00.00 grep spamd




refer this http://www.directadmin.com/forum/showthread.php?t=18331
 

bigboy

Verified User
Joined
Nov 25, 2005
Messages
231
Location
USA
The only things I had problems with were this. Not really too major as the work arounds are easy enough.

#sa-update
Produces this error on FBSD 6.2 with the latest patching and custombuild.
error: gpg required but not found!

So I instead ran
#sa-update --nogpg

Of course the output of sa-update puts the rules under /usr/share/spamassassin/updates_spamassassin_org/ instead of just /usr/share/spamassassin/ so a simple copy worked to fix that.

cp -Rp /usr/share/spamassassin/updates_spamassassin_org/* /usr/share/spamassassin/

Exim and SpamD restart just fine after that.

BigWil


we change update directory this
cp -Rp /usr/share/spamassassin/updates_spamassassin_org/* /usr/share/spamassassin/

we update again
#sa-update --nogpg

but update to old parth /usr/share/spamassassin/updates_spamassassin_org
not point to new path /usr/share/spamassassin/

thank you
 
Top